<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://www.imestech.com/wsInvoke" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" targetNamespace="http://www.imestech.com/wsInvoke" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://www.imestech.com/wsInvoke">
      <s:element name="invokeSrv">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="method" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="parameters" type="tns:ArrayOfAnyType" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfAnyType">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="anyType" nillable="true" />
        </s:sequence>
      </s:complexType>
      <s:element name="invokeSrvResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="invokeSrvResult" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_EnableLog">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="method" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="parameters" type="tns:ArrayOfAnyType" />
            <s:element minOccurs="1" maxOccurs="1" name="LogOn" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_EnableLogResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="invokeSrv_EnableLogResult" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_Xml">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="method" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="inXMl" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_XmlResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="invokeSrv_XmlResult" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_Xml_Session">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="method" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="inXMl" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_Xml_SessionResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="invokeSrv_Xml_SessionResult" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_DataTableParameter">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="method" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="parameters" type="tns:ArrayOfAnyType" />
            <s:element minOccurs="0" maxOccurs="1" name="pDataTable">
              <s:complexType>
                <s:sequence>
                  <s:any minOccurs="0" maxOccurs="unbounded" namespace="http://www.w3.org/2001/XMLSchema" processContents="lax" />
                  <s:any minOccurs="1" namespace="urn:schemas-microsoft-com:xml-diffgram-v1" processContents="lax" />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_DataTableParameterResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="invokeSrv_DataTableParameterResult" />
            <s:element minOccurs="0" maxOccurs="1" name="pDataTable">
              <s:complexType>
                <s:sequence>
                  <s:any minOccurs="0" maxOccurs="unbounded" namespace="http://www.w3.org/2001/XMLSchema" processContents="lax" />
                  <s:any minOccurs="1" namespace="urn:schemas-microsoft-com:xml-diffgram-v1" processContents="lax" />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_DataTable">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="method" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="pDataTable">
              <s:complexType>
                <s:sequence>
                  <s:any minOccurs="0" maxOccurs="unbounded" namespace="http://www.w3.org/2001/XMLSchema" processContents="lax" />
                  <s:any minOccurs="1" namespace="urn:schemas-microsoft-com:xml-diffgram-v1" processContents="lax" />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_DataTableResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="invokeSrv_DataTableResult" />
            <s:element minOccurs="0" maxOccurs="1" name="pDataTable">
              <s:complexType>
                <s:sequence>
                  <s:any minOccurs="0" maxOccurs="unbounded" namespace="http://www.w3.org/2001/XMLSchema" processContents="lax" />
                  <s:any minOccurs="1" namespace="urn:schemas-microsoft-com:xml-diffgram-v1" processContents="lax" />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_DataSet">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="method" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="InXml" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="pDataSet">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_DataSetResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="invokeSrv_DataSetResult" />
            <s:element minOccurs="0" maxOccurs="1" name="pDataSet">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_Session">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="method" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="parameters" type="tns:ArrayOfAnyType" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_SessionResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="invokeSrv_SessionResult" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_Session_json">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="metadata" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="parameter" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_Session_jsonResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="invokeSrv_Session_jsonResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_json">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="uri" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="content" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_jsonResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="invokeSrv_jsonResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_Session_plainjson">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="uri" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="content" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_Session_plainjsonResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="invokeSrv_Session_plainjsonResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_plainjson">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="uri" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="content" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_plainjsonResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="invokeSrv_plainjsonResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="Test">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="UserNo" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="TestResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="TestResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invoke_SignalR">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="mseContent" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invoke_SignalRResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="invoke_SignalRResult" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_Module">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="method" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="parameters" type="tns:ArrayOfAnyType" />
            <s:element minOccurs="0" maxOccurs="1" name="pInvokeType" />
            <s:element minOccurs="0" maxOccurs="1" name="pLogKeyFields" type="tns:ArrayOfString" />
            <s:element minOccurs="1" maxOccurs="1" name="blnLogOn" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfString">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="string" nillable="true" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:element name="invokeSrv_ModuleResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="invokeSrv_ModuleResult" />
            <s:element minOccurs="0" maxOccurs="1" name="parameters" type="tns:ArrayOfAnyType" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_Module_DataSet">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="method" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="parameters" type="tns:ArrayOfAnyType" />
            <s:element minOccurs="0" maxOccurs="1" name="pInvokeType" />
            <s:element minOccurs="0" maxOccurs="1" name="pLogKeyFields" type="tns:ArrayOfString" />
            <s:element minOccurs="1" maxOccurs="1" name="blnLogOn" type="s:boolean" />
            <s:element minOccurs="0" maxOccurs="1" name="pDataSet">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="invokeSrv_Module_DataSetResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="invokeSrv_Module_DataSetResult" />
            <s:element minOccurs="0" maxOccurs="1" name="parameters" type="tns:ArrayOfAnyType" />
            <s:element minOccurs="0" maxOccurs="1" name="pDataSet">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="Invoke_GuardServer_Process">
        <s:complexType />
      </s:element>
      <s:element name="Invoke_GuardServer_ProcessResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="Invoke_GuardServer_ProcessResult" />
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="invokeSrvSoapIn">
    <wsdl:part name="parameters" element="tns:invokeSrv" />
  </wsdl:message>
  <wsdl:message name="invokeSrvSoapOut">
    <wsdl:part name="parameters" element="tns:invokeSrvResponse" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_EnableLogSoapIn">
    <wsdl:part name="parameters" element="tns:invokeSrv_EnableLog" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_EnableLogSoapOut">
    <wsdl:part name="parameters" element="tns:invokeSrv_EnableLogResponse" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_XmlSoapIn">
    <wsdl:part name="parameters" element="tns:invokeSrv_Xml" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_XmlSoapOut">
    <wsdl:part name="parameters" element="tns:invokeSrv_XmlResponse" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_Xml_SessionSoapIn">
    <wsdl:part name="parameters" element="tns:invokeSrv_Xml_Session" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_Xml_SessionSoapOut">
    <wsdl:part name="parameters" element="tns:invokeSrv_Xml_SessionResponse" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_DataTableParameterSoapIn">
    <wsdl:part name="parameters" element="tns:invokeSrv_DataTableParameter" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_DataTableParameterSoapOut">
    <wsdl:part name="parameters" element="tns:invokeSrv_DataTableParameterResponse" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_DataTableSoapIn">
    <wsdl:part name="parameters" element="tns:invokeSrv_DataTable" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_DataTableSoapOut">
    <wsdl:part name="parameters" element="tns:invokeSrv_DataTableResponse" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_DataSetSoapIn">
    <wsdl:part name="parameters" element="tns:invokeSrv_DataSet" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_DataSetSoapOut">
    <wsdl:part name="parameters" element="tns:invokeSrv_DataSetResponse" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_SessionSoapIn">
    <wsdl:part name="parameters" element="tns:invokeSrv_Session" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_SessionSoapOut">
    <wsdl:part name="parameters" element="tns:invokeSrv_SessionResponse" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_Session_jsonSoapIn">
    <wsdl:part name="parameters" element="tns:invokeSrv_Session_json" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_Session_jsonSoapOut">
    <wsdl:part name="parameters" element="tns:invokeSrv_Session_jsonResponse" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_jsonSoapIn">
    <wsdl:part name="parameters" element="tns:invokeSrv_json" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_jsonSoapOut">
    <wsdl:part name="parameters" element="tns:invokeSrv_jsonResponse" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_Session_plainjsonSoapIn">
    <wsdl:part name="parameters" element="tns:invokeSrv_Session_plainjson" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_Session_plainjsonSoapOut">
    <wsdl:part name="parameters" element="tns:invokeSrv_Session_plainjsonResponse" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_plainjsonSoapIn">
    <wsdl:part name="parameters" element="tns:invokeSrv_plainjson" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_plainjsonSoapOut">
    <wsdl:part name="parameters" element="tns:invokeSrv_plainjsonResponse" />
  </wsdl:message>
  <wsdl:message name="TestSoapIn">
    <wsdl:part name="parameters" element="tns:Test" />
  </wsdl:message>
  <wsdl:message name="TestSoapOut">
    <wsdl:part name="parameters" element="tns:TestResponse" />
  </wsdl:message>
  <wsdl:message name="invoke_SignalRSoapIn">
    <wsdl:part name="parameters" element="tns:invoke_SignalR" />
  </wsdl:message>
  <wsdl:message name="invoke_SignalRSoapOut">
    <wsdl:part name="parameters" element="tns:invoke_SignalRResponse" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_ModuleSoapIn">
    <wsdl:part name="parameters" element="tns:invokeSrv_Module" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_ModuleSoapOut">
    <wsdl:part name="parameters" element="tns:invokeSrv_ModuleResponse" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_Module_DataSetSoapIn">
    <wsdl:part name="parameters" element="tns:invokeSrv_Module_DataSet" />
  </wsdl:message>
  <wsdl:message name="invokeSrv_Module_DataSetSoapOut">
    <wsdl:part name="parameters" element="tns:invokeSrv_Module_DataSetResponse" />
  </wsdl:message>
  <wsdl:message name="Invoke_GuardServer_ProcessSoapIn">
    <wsdl:part name="parameters" element="tns:Invoke_GuardServer_Process" />
  </wsdl:message>
  <wsdl:message name="Invoke_GuardServer_ProcessSoapOut">
    <wsdl:part name="parameters" element="tns:Invoke_GuardServer_ProcessResponse" />
  </wsdl:message>
  <wsdl:portType name="wsInvokeSoap">
    <wsdl:operation name="invokeSrv">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Invoke with objects and Return XML</wsdl:documentation>
      <wsdl:input message="tns:invokeSrvSoapIn" />
      <wsdl:output message="tns:invokeSrvSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_EnableLog">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Invoke with objects and Return XML, And Enable Performance Log</wsdl:documentation>
      <wsdl:input message="tns:invokeSrv_EnableLogSoapIn" />
      <wsdl:output message="tns:invokeSrv_EnableLogSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Xml">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Invoke with Xml String and Return XML</wsdl:documentation>
      <wsdl:input message="tns:invokeSrv_XmlSoapIn" />
      <wsdl:output message="tns:invokeSrv_XmlSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Xml_Session">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">EnableSession, Invoke with Xml String and Return XML</wsdl:documentation>
      <wsdl:input message="tns:invokeSrv_Xml_SessionSoapIn" />
      <wsdl:output message="tns:invokeSrv_Xml_SessionSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_DataTableParameter">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Invoke with DataTable and Object Return XML</wsdl:documentation>
      <wsdl:input message="tns:invokeSrv_DataTableParameterSoapIn" />
      <wsdl:output message="tns:invokeSrv_DataTableParameterSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_DataTable">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Invoke with DataTable and Return XML</wsdl:documentation>
      <wsdl:input message="tns:invokeSrv_DataTableSoapIn" />
      <wsdl:output message="tns:invokeSrv_DataTableSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_DataSet">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Invoke with DataSet and Return XML</wsdl:documentation>
      <wsdl:input message="tns:invokeSrv_DataSetSoapIn" />
      <wsdl:output message="tns:invokeSrv_DataSetSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Session">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">EnableSession, Invoke and Return XML</wsdl:documentation>
      <wsdl:input message="tns:invokeSrv_SessionSoapIn" />
      <wsdl:output message="tns:invokeSrv_SessionSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Session_json">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">EnableSession, Invoke Web Service Resolved json</wsdl:documentation>
      <wsdl:input message="tns:invokeSrv_Session_jsonSoapIn" />
      <wsdl:output message="tns:invokeSrv_Session_jsonSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_json">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Invoke Web Service Resolved json</wsdl:documentation>
      <wsdl:input message="tns:invokeSrv_jsonSoapIn" />
      <wsdl:output message="tns:invokeSrv_jsonSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Session_plainjson">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">EnableSession, Invoke Web Service Resolved json</wsdl:documentation>
      <wsdl:input message="tns:invokeSrv_Session_plainjsonSoapIn" />
      <wsdl:output message="tns:invokeSrv_Session_plainjsonSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_plainjson">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Invoke Web Service Resolved json</wsdl:documentation>
      <wsdl:input message="tns:invokeSrv_plainjsonSoapIn" />
      <wsdl:output message="tns:invokeSrv_plainjsonSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="Test">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Web service and database connection test</wsdl:documentation>
      <wsdl:input message="tns:TestSoapIn" />
      <wsdl:output message="tns:TestSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="invoke_SignalR">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Call SignalR, Invoke and Return XML</wsdl:documentation>
      <wsdl:input message="tns:invoke_SignalRSoapIn" />
      <wsdl:output message="tns:invoke_SignalRSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Module">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Invoke Module with InXml</wsdl:documentation>
      <wsdl:input message="tns:invokeSrv_ModuleSoapIn" />
      <wsdl:output message="tns:invokeSrv_ModuleSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Module_DataSet">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">Invoke Module with InXml and DataSet Parameter</wsdl:documentation>
      <wsdl:input message="tns:invokeSrv_Module_DataSetSoapIn" />
      <wsdl:output message="tns:invokeSrv_Module_DataSetSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="Invoke_GuardServer_Process">
      <wsdl:documentation xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">return hysical directory</wsdl:documentation>
      <wsdl:input message="tns:Invoke_GuardServer_ProcessSoapIn" />
      <wsdl:output message="tns:Invoke_GuardServer_ProcessSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="wsInvokeSoap" type="tns:wsInvokeSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="invokeSrv">
      <soap:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_EnableLog">
      <soap:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_EnableLog" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Xml">
      <soap:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_Xml" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Xml_Session">
      <soap:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_Xml_Session" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_DataTableParameter">
      <soap:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_DataTableParameter" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_DataTable">
      <soap:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_DataTable" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_DataSet">
      <soap:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_DataSet" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Session">
      <soap:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_Session" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Session_json">
      <soap:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_Session_json" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_json">
      <soap:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_json" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Session_plainjson">
      <soap:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_Session_plainjson" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_plainjson">
      <soap:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_plainjson" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Test">
      <soap:operation soapAction="http://www.imestech.com/wsInvoke/Test" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invoke_SignalR">
      <soap:operation soapAction="http://www.imestech.com/wsInvoke/invoke_SignalR" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Module">
      <soap:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_Module" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Module_DataSet">
      <soap:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_Module_DataSet" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Invoke_GuardServer_Process">
      <soap:operation soapAction="http://www.imestech.com/wsInvoke/Invoke_GuardServer_Process" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="wsInvokeSoap12" type="tns:wsInvokeSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="invokeSrv">
      <soap12:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_EnableLog">
      <soap12:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_EnableLog" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Xml">
      <soap12:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_Xml" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Xml_Session">
      <soap12:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_Xml_Session" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_DataTableParameter">
      <soap12:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_DataTableParameter" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_DataTable">
      <soap12:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_DataTable" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_DataSet">
      <soap12:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_DataSet" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Session">
      <soap12:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_Session" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Session_json">
      <soap12:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_Session_json" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_json">
      <soap12:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_json" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Session_plainjson">
      <soap12:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_Session_plainjson" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_plainjson">
      <soap12:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_plainjson" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Test">
      <soap12:operation soapAction="http://www.imestech.com/wsInvoke/Test" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invoke_SignalR">
      <soap12:operation soapAction="http://www.imestech.com/wsInvoke/invoke_SignalR" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Module">
      <soap12:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_Module" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="invokeSrv_Module_DataSet">
      <soap12:operation soapAction="http://www.imestech.com/wsInvoke/invokeSrv_Module_DataSet" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Invoke_GuardServer_Process">
      <soap12:operation soapAction="http://www.imestech.com/wsInvoke/Invoke_GuardServer_Process" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="wsInvoke">
    <wsdl:port name="wsInvokeSoap" binding="tns:wsInvokeSoap">
      <soap:address location="http://localhost/MESws_STD/wsInvoke.asmx" />
    </wsdl:port>
    <wsdl:port name="wsInvokeSoap12" binding="tns:wsInvokeSoap12">
      <soap12:address location="http://localhost/MESws_STD/wsInvoke.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>